function init(hero) {
    hero.setName("Cyborg");
    hero.setTier(7);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Face");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:tt_cyborg");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.0, 0);
    
    hero.addKeyBind("SONIC_WAVES", "Sonic Cannon", 1);
    hero.addKeyBind("CHARGED_BEAM", "Charged Beam", 2);
    hero.addKeyBind("HOVER", "key.levitate", 3);
    hero.addKeyBind("FLIGHTSTYLETOGGLE", "Toggle Jet-Pack", 4)

    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setDefaultScale(1.15);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:propelled_flight":
        return entity.getData("mvh:dyn/flightstyletoggle");
    default:
        return true;
    }
}
function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "HOVER":
        return entity.getData("mvh:dyn/flightstyletoggle");
    default:
        return true;
    }
}